Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.nio.conn
Interface ClientAsyncConnection

All Superinterfaces:
  Closeable, org.apache.http.HttpConnection, org.apache.http.HttpInetConnection, org.apache.http.nio.IOControl, org.apache.http.nio.NHttpClientConnection, org.apache.http.nio.NHttpConnection

All Known Implementing Classes:
  DefaultClientAsyncConnection

Deprecated.

    @Deprecated
    public interface ClientAsyncConnection

extends org.apache.http.nio.NHttpClientConnection, org.apache.http.HttpInetConnection

Field Summary

Fields inherited from interface org.apache.http.nio.NHttpConnection
`ACTIVE, CLOSED, CLOSING`

Method Summary
`org.apache.http.nio.reactor.IOSession` | `getIOSession()` Deprecated.
`void` | `upgrade(org.apache.http.nio.reactor.IOSession ioSession)` Deprecated.

Methods inherited from interface org.apache.http.nio.NHttpClientConnection
`isRequestSubmitted, resetInput, resetOutput, submitRequest`

Methods inherited from interface org.apache.http.nio.NHttpConnection
`getContext, getHttpRequest, getHttpResponse, getStatus`

Methods inherited from interface org.apache.http.HttpConnection
`close, getMetrics, getSocketTimeout, isOpen, isStale, setSocketTimeout, shutdown`

Methods inherited from interface org.apache.http.nio.IOControl
`requestInput, requestOutput, shutdown, suspendInput, suspendOutput`

Methods inherited from interface org.apache.http.HttpInetConnection
`getLocalAddress, getLocalPort, getRemoteAddress, getRemotePort`

Method Detail

### upgrade

    void upgrade(org.apache.http.nio.reactor.IOSession ioSession)

  Deprecated.

### getIOSession

    org.apache.http.nio.reactor.IOSession getIOSession()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010–2021 The Apache Software Foundation. All rights reserved.